MSGFMT(1)

NUME
msgfmt - compilează catalogul de mesaje în format binar

REZUMAT
msgfmt [OPȚIUNE] nume-fișier.po ...

DESCRIERE

Generează un catalog de mesaje binare din descrierea textuală a traducerii.

Argumentele obligatorii pentru opțiunile lungi sunt obligatorii și pentru opțiunile scurte. Similar pentru argumentele opționale.

  Locație fișier de intrare:

nume-fișier.po ...
    fișiere de intrare

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă fișierul de intrare este „-”, se va citi intrarea standard.

  Mod de operare:

-j, --java
    mod Java: generează o clasă Java ResourceBundle

--java2
    precum --java, și presupune Java2 (JDK 1.2 sau ulterior)

--csharp
    mod C#: generează un fișier .dll .NET

--csharp-resources
    mod resurse C#: generează un fișier .resources .NET

--tcl
    mod tcl: generează un fișier .msg tcl/msgcat

--qt
    mod Qt: generează un fișier .qm Qt

--desktop
    mod de intrare desktop: generează un fișier .desktop

--xml
    mod XML: generează un fișier XML

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

--strict
    activează modul strict Uniforum

Dacă fișierul de ieșire este „-”, rezultatul este scris la ieșirea standard.

  Locația fișierului de ieșire în modul Java:

-r, --resource=RESURSA
    numele resursei

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

--source
    produce un fișier .java, în loc de un fișier .class

-d DIRECTOR
    directorul de bază al ierarhiei directorului de clase

Numele clasei este determinat adăugând numele localizării la numele resursei, separat cu o liniuță de subliniere. Opțiunea -d este obligatorie. Clasa este scrisă în directorul specificat.

  Locația fișierului de ieșire în modul C#:

-r, --resource=RESURSA
    numele resursei

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-d DIRECTOR
    directorul rădăcină (de bază) pentru fișierele .dll dependente de limbă

Opțiunile -l și -d sunt obligatorii. Fișierul .dll este scris într-un subdirector al directorului specificat al cărui nume depinde de localizare.

  Locația fișierului de ieșire în modul Tcl:

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-d DIRECTOR
    directorul de bază al cataloagelor de mesaje .msg

Opțiunile -l și -d sunt obligatorii. Fișierul .msg este scris în directorul specificat

  Opțiuni pentru modul de intrare pe desktop:

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

--template=ȘABLON
    un fișier .desktop folosit ca șablon

-d DIRECTOR
    directorul de bază al fișierelor .po

-kCUVÂNT, --keyword=CUVÂNT
    caută CUVÂNT precum cuvânt cheie suplimentar

-k, --keyword
    nu utilizează cuvinte cheie implicite

Opțiunile -l, -o și --template sunt obligatorii. Dacă se specifică -D, fișierele de intrare sunt citite din director în loc din argumentele din linia de comandă.

  Opțiuni pentru modul XML:

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-L, --language=NUME
    recunoaște limbajul XML specificat

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

--template=ȘABLON
    un fișier XML folosit ca șablon

-d DIRECTOR
    directorul de bază al fișierelor .po

Opțiunile -l, -o și --template sunt obligatorii. Dacă se specifică -D, fișierele de intrare sunt citite din director în loc din argumentele din linia de comandă.

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierele de intrare sunt în sintaxă .properties Java

--stringtable-input
    fișierele de intrare sunt în sintaxă .strings NeXTstep/GNUstep

  Interpretare fișier de intrare:

-c, --check
    efectuează toate verificările implicate de opțiunile --check-format, --check-header, --check-domain.

--check-format
    verifică șirurile de format dependente de limbă

--check-header
    verifică prezența și conținutul antetului

--check-domain
    verifică dacă există conflicte între directivele de domeniu și opțiunea --output-file

-C, --check-compatibility
    verifică dacă msgfmt GNU se comportă ca msgfmt X/Open

--check-accelerators[=TASTĂ]
    verifică prezența acceleratorilor de tastatură pentru elementele meniului

-f, --use-fuzzy
    folosește intrări parțial traduse, aproximative (fuzzy) la ieșire

  Detalii ieșire:

-a, --alignment=NUMĂR
    aliniază șirurile la NUMĂR octeți (implicit: 1)

--endianness=ORDINE_OCTEȚI
    scrie numere de 32 de biți în ordinea dată octeților („big” sau „little”, valoarea implicită depinde de platformă)

--no-hash
    fișierul binar nu va include tabela de sume de control (hash)

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

--statistics
    afișează statistici despre traduceri

-v, --verbose
    crește nivelul de detaliere al mesajelor informative

AUTOR
Scris de Ulrich Drepper.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgfmt este menținută ca un manual Texinfo. Dacă programele info și msgfmt sunt instalate corect în sistemul dvs., comanda

    info msgfmt

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.